Location (Apache Ant API)
Description: declaration: package: org.apache.tools.ant, class: Location

Package org.apache.tools.ant

# Class Location

java.lang.Object
org.apache.tools.ant.Location

All Implemented Interfaces:
  `Serializable`

public class Location extends Object implements Serializable
Stores the location of a piece of text within a file (file name, line number and column number). Note that the column number is currently ignored.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Location`
  `UNKNOWN_LOCATION`
  Location to use when one is needed but no information is available

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Location(String fileName)`
  Creates a location consisting of a file name but no line number or column number.
  `Location(String fileName, int lineNumber, int columnNumber)`
  Creates a location consisting of a file name, line number and column number.
  `Location(Locator loc)`
  Creates a location from the SAX locator using the system ID as the filename.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  Equality operation.
  `int`
  `getColumnNumber()`
  `String`
  `getFileName()`
  `int`
  `getLineNumber()`
  `int`
  `hashCode()`
  Hash operation.
  `String`
  `toString()`
  Returns the file name, line number, a colon and a trailing space.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN_LOCATION

    public static final Location UNKNOWN_LOCATION
    Location to use when one is needed but no information is available

- ## Constructor Details

  - ### Location

    public Location(String fileName)
    Creates a location consisting of a file name but no line number or column number.
    Parameters:
      `fileName` - The name of the file. May be `null`, in which case the location is equivalent to `UNKNOWN_LOCATION`.

  - ### Location

    public Location(Locator loc)
    Creates a location from the SAX locator using the system ID as the filename.
    Parameters:
      `loc` - Must not be `null`.
    Since:
      Ant 1.6

  - ### Location

    public Location(String fileName, int lineNumber, int columnNumber)
    Creates a location consisting of a file name, line number and column number.
    Parameters:
      `fileName` - The name of the file. May be `null`, in which case the location is equivalent to `UNKNOWN_LOCATION`.
      `lineNumber` - Line number within the file. Use 0 for unknown positions within a file.
      `columnNumber` - Column number within the line.

- ## Method Details

  - ### getFileName

    public String getFileName()
    Returns:
      the filename portion of the location
    Since:
      Ant 1.6

  - ### getLineNumber

    public int getLineNumber()
    Returns:
      the line number
    Since:
      Ant 1.6

  - ### getColumnNumber

    public int getColumnNumber()
    Returns:
      the column number
    Since:
      Ant 1.7

  - ### toString

    public String toString()
    Returns the file name, line number, a colon and a trailing space. An error message can be appended easily. For unknown locations, an empty string is returned.
    Overrides:
      `toString` in class `Object`
    Returns:
      a String of the form `"fileName:lineNumber: "` if both file name and line number are known, `"fileName: "` if only the file name is known, and the empty string for unknown locations.

  - ### equals

    public boolean equals(Object other)
    Equality operation.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `other` - the object to compare to.
    Returns:
      true if the other object contains the same information as this object.
    Since:
      Ant 1.6.3

  - ### hashCode

    public int hashCode()
    Hash operation.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this location.
    Since:
      Ant 1.6.3